{% extends 'base.html' %}

{% block title %}
    My Tasks
{% endblock title %}
{% block content %}
    <main>
        <div>
            <h1>My Tasks</h1>
            {% if tasks|length > 0 %}
            <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                            <th>Estimate Cost</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in tasks %}
                            <tr>
                                <td>{{ task.name }}</td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td>{{ task.is_complete|yesno }}</td>
                                <td>$ {{ task.estimate_cost }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>You have no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
